Precise: Add Calxeda Highbank arm flavour

Bug #1000831 reported by Tim Gardner on 2012-05-17
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
The Eilt project
Undecided
Ike Panhc
linux (Ubuntu)
Medium
Ike Panhc
Precise
Medium
Tim Gardner
Quantal
Medium
Ike Panhc
linux-meta (Ubuntu)
Undecided
Ike Panhc
Precise
Undecided
Tim Gardner
Quantal
Undecided
Ike Panhc

Bug Description

Late addition of the Calxeda Highbank ARM flavour

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1000831

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Precise):
status: New → Incomplete
tags: added: precise
Tim Gardner (timg-tpi) on 2012-05-17
Changed in linux (Ubuntu Precise):
status: Incomplete → In Progress
assignee: nobody → Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Quantal):
status: Incomplete → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Tim Gardner (timg-tpi) on 2012-05-18
Changed in linux-meta (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-meta (Ubuntu Quantal):
status: New → Invalid
Tim Gardner (timg-tpi) wrote :

Patches added to Precise:

ARM: highbank: add xgmac ethernet devices to dts
net: add calxeda xgmac ethernet driver
UBUNTU: SAUCE: arm highbank: add support for pl320-ipc driver
UBUNTU: SAUCE: input: add a key driver for highbank
ARM: versatile: Add missing ENDPROC to headsmp.S
ARM: msm: Add missing ENDPROC to headsmp.S
ARM: ux500: add missing ENDPROC to headsmp.S
ARM: exynos: remove incorrect BSYM usage
ARM: imx: remove incorrect BSYM usage
ARM: highbank: remove incorrect BSYM usage
ARM: make BSYM macro assembly only
ARM: amba: Auto-generate AMBA driver module aliases during modpost
ARM: amba: Move definition of struct amba_id to mod_devicetable.h
UBUNTU: SAUCE: ARM: highbank: Add smc calls to enable/disable the L2
UBUNTU: SAUCE: rtc: pl031: Enable module alias autogeneration for AMBA drivers
dmaengine: pl330: Enable module alias autogeneration for AMBA drivers
UBUNTU: SAUCE: force DMA buffers to non-bufferable on highbank
UBUNTU: SAUCE: net: calxedaxgmac: fix net timeout recovery
UBUNTU: [Config] add highbank flavour

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for precise in -proposed solves the problem (3.2.0-25.40). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Tim Gardner (timg-tpi) wrote :

Marking verification-done-precise as there is little possibility of regression given this is a new flavour. These patches have minimal overlap with existing code.

tags: added: verification-done-precise
removed: verification-needed-precise
Changed in linux-meta (Ubuntu Precise):
status: In Progress → Fix Committed
Ike Panhc (ikepanhc) on 2012-05-30
Changed in linux (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-meta (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
status: Invalid → In Progress
Changed in linux (Ubuntu Quantal):
status: Invalid → In Progress
Ike Panhc (ikepanhc) on 2012-05-31
tags: added: ike-radar
Itaru Kitayama (itaru) wrote :

On the highbank-quantal branch (5d73426), but the build fails:

touch /home/itaru/projects/people/ikepanhc/highbank-review/debian/build/no-modules
touch ignore-dups
export SOURCEDIR=/home/itaru/projects/people/ikepanhc/highbank-review/debian/d-i-armhf && \
   cd /home/itaru/projects/people/ikepanhc/highbank-review/debian/build && \
   kernel-wedge install-files && \
   kernel-wedge check
 install -D -m 644 /home/itaru/projects/people/ikepanhc/highbank-review/debian/d-i-armhf/boot/vmlinuz-3.4.0-3-highbank debian/kernel-image-3.4.0-3-highbank-di/boot/vmlinuz
 install -D -m 644 /home/itaru/projects/people/ikepanhc/highbank-review/debian/d-i-armhf/boot/System.map-3.4.0-3-highbank debian/kernel-image-3.4.0-3-highbank-di/boot/System.map
 kernel-wedge copy-modules 3.4.0-3 highbank 3.4.0-3-highbank
 kernel-wedge copy-firmware 3.4.0-3 highbank 3.4.0-3-highbank
missing firmware qlogic/1040.bin
missing firmware qlogic/12160.bin
missing firmware qlogic/1280.bin
missing firmware qlogic/1040.bin
missing firmware qlogic/12160.bin
missing firmware qlogic/1280.bin
missing firmware bnx2/bnx2-mips-06-6.2.1.fw
missing firmware bnx2/bnx2-mips-09-6.2.1a.fw
missing firmware bnx2/bnx2-rv2p-06-6.0.15.fw
missing firmware bnx2/bnx2-rv2p-09-6.0.17.fw
missing firmware bnx2/bnx2-rv2p-09ax-6.0.17.fw
missing firmware e100/d101m_ucode.bin
missing firmware e100/d101s_ucode.bin
missing firmware e100/d102e_ucode.bin
missing firmware bnx2/bnx2-mips-06-6.2.1.fw
missing firmware bnx2/bnx2-mips-09-6.2.1a.fw
missing firmware bnx2/bnx2-rv2p-06-6.0.15.fw
missing firmware bnx2/bnx2-rv2p-09-6.0.17.fw
missing firmware bnx2/bnx2-rv2p-09ax-6.0.17.fw
missing firmware e100/d101m_ucode.bin
missing firmware e100/d101s_ucode.bin
missing firmware e100/d102e_ucode.bin
command exited with status 1
make[1]: *** [do-binary-udebs] Error 2
make: *** [binary-udebs] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2

Ike Panhc (ikepanhc) wrote :

@Itaru

That's because I forget to check udeb build and two missing file in debian.master/d-i

You can build quantal based highbank kernel from master-next of ubuntu-quantal repo

  http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-quantal.git;a=shortlog;h=refs/heads/master-next

Ike Panhc (ikepanhc) on 2012-06-04
Changed in eilt:
status: New → In Progress
assignee: nobody → Ike Panhc (ikepanhc)
Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package linux - 3.4.0-4.9

---------------
linux (3.4.0-4.9) quantal; urgency=low

  [ Andy Whitcroft ]

  * [Config] fix config split to avoid the shared config
  * [Config] updateconfigs following split config fix
  * [Config] linux-image-extras needs full postinst
  * [Config] CONFIG_BLK_DEV_NVME commonise across architectures
  * [Config] CONFIG_HP_WATCHDOG enable as module
  * [Config] CONFIG_PDC_ADMA is not boot essential
  * [Config] CONFIG_XEN_ACPI_PROCESSOR should be enabled on x86
  * [Config] CONFIG_VT6655/CONFIG_VT6656=m
  * [Config] CONFIG_TRANZPORT=m commonise
  * [Config] CONFIG_R3964=m commonise
  * [Config] CONFIG_SCSI_DH=m commonise
  * [Config] CONFIG_SCSI_IBMVSCSIS=m commonise
  * [Config] CONFIG_AMD_PHY=y phys are not autoloadable
  * [Config] CONFIG_SCSI_QLA_ISCSI=m commonise
  * [Config] CONFIG_SCSI_SPI_ATTR=m commonise
  * [Config] CONFIG_USB_SN9C102 is deprecated disable
  * [Config] CONFIG_USB_SI470X=m commonise
  * [Config] CONFIG_USB_ET61X251=m commonise
  * [Config] CONFIG_RTS_PSTOR=m commonise
  * [Config] CONFIG_SCANLOG=m commonise
  * [Config] CONFIG_SCSI_SYM53C8XX_2=m commonise
  * [Config] CONFIG_SM_FTL=m commonise
  * [Config] CONFIG_SOLO6X10=m commonise
  * [Config] CONFIG_SND_PCM_OSS=n using pulseaudio emulation instead
  * [Config] CONFIG_SPI_DESIGNWARE=m commonise
  * [Config] CONFIG_SPI_SPIDEV=m commonise
  * [Config] CONFIG_TABLET_USB_WACOM=m commonise
  * [Config] CONFIG_TPS65010=m commonise
  * [Config] CONFIG_STE10XP=y commonise
  * [Config] CONFIG_X25_ASY=m commonise
  * [Config] CONFIG_USB_MON=m commonise
  * [Config] CONFIG_VME_BUS=m commonise
  * [Config] CONFIG_W35UND=m commonise
  * [Config] -CONFIG_TCG_TPM=y commonise
  * [Config] highbank -- commonise filesystems
  * [Config] highbank -- commonise subsystems
  * [Config] highbank -- commonise network protocols
  * [Config] highbank -- commonise input drivers
  * [Config] highbank -- commonise CRYPTO options
  * [Config] highbank -- commonise HID options
  * [Config] highbank -- commonise sensors options
  * [Config] highbank -- commonise EXPORTFS/FHANDLE
  * [Config] highbank -- commonise CONFIG_CRYPTO_LZO
  * [Config] highbank -- commonise ENCRYPTED_KEYS
  * [Config] highbank -- commonise CONFIG_ATALK
  * [Config] highbank -- commonise INET/INET6
  * [Config] highbank -- commonise NLS
  * [Config] highbank -- commonise BLK/CHR
  * [Config] highbank -- CONFIG_EXT2_FS=y boot essential on highbank
  * [Config] highbank -- commonise INET/INET6 part 2
  * [Config] highbank -- commonise PHY settings
  * [Config] highbank -- commonise CRC settings
  * [Config] highbank -- commonise BINFMT settings
  * [Config] highbank -- commonise DM settings
  * [Config] highbank -- commonise RTC_DRV settings
  * [Config] highbank -- commonise KEYBOARD/MOUSE settings
  * [Config] highbank -- commonise USB settings
  * [Config] highbank -- commonise GPIO settings
  * [Config] highbank -- commonise I2C settings
  * [Config] highbank -- commonise numerous subsystem selectors
  * [Config] highbank -- commonise A-C modules missmatches
  * [Config] highbank -- commonise D-F modules missmatches
  * [Config] CONFIG_AUDIT_LOGINUID_IMMUTABLE inco...

Read more...

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Ike Panhc (ikepanhc) on 2012-06-05
Changed in linux-meta (Ubuntu Quantal):
status: In Progress → Fix Committed
Itaru Kitayama (itaru) wrote :

@Ike - Thanks. With the quantal git repo, I was able to build the highbank .deb files for the first time locally.

Ike Panhc (ikepanhc) wrote :

The Quantal kernel works fine on highbank machine

ubuntu@c01:~$ cat /proc/version
Linux version 3.4.0-4-highbank (buildd@nihal) (gcc version 4.7.0 (Ubuntu/Linaro 4.7.0-11ubuntu2) ) #10-Ubuntu SMP PREEMPT Tue Jun 5 07:26:59 UTC 2012

Ike Panhc (ikepanhc) wrote :

So do the kernel in precise-proposed

ubuntu@c01:~$ cat /proc/version
Linux version 3.2.0-25-highbank (buildd@nihal) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #40-Ubuntu SMP PREEMPT Thu May 24 00:18:11 UTC 2012

Itaru Kitayama (itaru) wrote :

@Ike - do we have to provide a dtb file as well? I have been testing the u-boot code for highbank with qemu, but can't get to the prompt.

Ike Panhc (ikepanhc) wrote :

@Itaru

Bootloader (u-boot) shall load dtb to ram when initial. It shall not be in the linux-image deb.

I am not familiar with qemu environment but I believe we also need to put the dtb somewhere in the ram so that kernel can easily access it.

Ike Panhc (ikepanhc) wrote :

Already in linux-meta 3.4.0.4.5

Changed in linux-meta (Ubuntu Quantal):
status: Fix Committed → Fix Released

On Thu, Jun 07, 2012 at 11:43:15PM -0000, Itaru Kitayama wrote:
> @Ike - do we have to provide a dtb file as well? I have been testing the
> u-boot code for highbank with qemu, but can't get to the prompt.

Yeah, the dtb data is in ROM on real hardware (aiui) - for QEMU, you
need to manually load the dtb file at 0x1000. You can do this from the
u-boot prompt - it doesn't need to be there before starting u-boot.

Itaru Kitayama (itaru) wrote :

Thank you @dannf. One of the recent Linaro u-boot releases, 2012.05 worked fine, now I can get to the prompt.

 % sudo qemu-system-arm -M highbank -m 1024 -kernel ~/projects/boot/u-boot-linaro-stable/u-boot -serial stdio

If someone already has the qemu image, I wonder if we can share it.

dann frazier (dannf) wrote :

On Mon, Jun 11, 2012 at 11:23:49AM -0000, Itaru Kitayama wrote:
> Thank you @dannf. One of the recent Linaro u-boot releases, 2012.05
> worked fine, now I can get to the prompt.
>
> % sudo qemu-system-arm -M highbank -m 1024 -kernel ~/projects/boot/u
> -boot-linaro-stable/u-boot -serial stdio
>
> If someone already has the qemu image, I wonder if we can share it.

I'm not sure what you mean by "the qemu image" - if you are looking
for a disk image, you can try one of the cloud ones:

  http://cloud-images.ubuntu.com/precise/current/

You can also try our EC2 AMI:
  http://blog.canonical.com/2012/05/25/ubuntu-arm-server-ami-on-amazon-ec2/

If you have other questions, I'd suggest we move the discussion off to
a mailing list & CC me - maybe ubuntu-server@l.u.c?

Launchpad Janitor (janitor) wrote :
Download full text (21.0 KiB)

This bug was fixed in the package linux - 3.2.0-25.40

---------------
linux (3.2.0-25.40) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1003534

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414
  * [Config] include include/generated/compile.h
    - LP: #942569

  [ Dave Martin ]

  * SAUCE: rtc: pl031: Enable module alias autogeneration for AMBA drivers
    - LP: #1000831

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: ite-cir: postpone ISR registration"
    - LP: #1002484
  * SAUCE: async_populate_rootfs: fix build warnings
    - LP: #1003417

  [ Ike Panhc ]

  * [Config] add highbank flavour
    - LP: #1000831

  [ John Johansen ]

  * SAUCE: apparmor: fix long path failure due to disconnected path
    - LP: #955892
  * SAUCE: apparmor: fix profile lookup for unconfined
    - LP: #978038, #987371

  [ Mark Langsdorf ]

  * SAUCE: arm highbank: add support for pl320-ipc driver
    - LP: #1000831

  [ Rob Herring ]

  * SAUCE: input: add a key driver for highbank
    - LP: #1000831
  * SAUCE: ARM: highbank: Add smc calls to enable/disable the L2
    - LP: #1000831
  * SAUCE: force DMA buffers to non-bufferable on highbank
    - LP: #1000831
  * SAUCE: net: calxedaxgmac: fix net timeout recovery
    - LP: #1000831

  [ Tim Gardner ]

  * [Config] perarch and indep tools builds need separate build directories
  * [Config] CONFIG_XEN_ACPI_PROCESSOR=y
    - LP: #898112

  [ Upstream Kernel Changes ]

  * Revert "autofs: work around unhappy compat problem on x86-64"
    - LP: #1002482
  * Input: wacom - cleanup feature report for bamboos
    - LP: #568064
  * Input: wacom - remove unused bamboo HID parsing
    - LP: #568064
  * Input: wacom - add some comments to wacom_parse_hid
    - LP: #568064
  * Input: wacom - relax Bamboo stylus ID check
    - LP: #568064
  * Input: wacom - read 3rd gen Bamboo Touch HID data
    - LP: #568064
  * Input: wacom - 3rd gen Bamboo P&Touch packet support
    - LP: #568064
  * Input: wacom - ignore unwanted bamboo packets
    - LP: #568064
  * HID: wacom: Move parsing to a separate function
    - LP: #568064
  * HID: wacom: Initial driver for Wacom Intuos4 Wireless (Bluetooth)
    - LP: #568064
  * Input: wacom - add support for Cintiq 24HD
    - LP: #568064
  * Input: wacom - add LED support for Cintiq 24HD
    - LP: #568064
  * Input: wacom - add missing LEDS_CLASS to Kconfig
    - LP: #568064
  * Input: wacom - fix 3rd-gen Bamboo MT when 4+ fingers are in use
    - LP: #568064
  * power_supply: allow a power supply to explicitly point to powered
    device
    - LP: #568064
  * power_supply: add "powers" links to self-powered HID devices
    - LP: #568064
  * HID: wiimote: fix invalid power_supply_powers call
    - LP: #568064
  * HID: wacom: Fix invalid power_supply_powers calls
    - LP: #568064
  * ARM: 7178/1: fault.c: Port OOM changes into do_page_fault
    - LP: #951043
  * ARM: 7368/1: fault.c: correct how the tsk->[maj|min]_flt gets
    incremented
    - LP: #951043
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
  * provide disable_cpufreq() functio...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.2.0.25.27

---------------
linux-meta (3.2.0.25.27) precise-proposed; urgency=low

  [ Luis Henriques ]

  * UBUNTU: Fix Vcs-Git in linux-precise-meta
    - LP: #999726

  [ Tim Gardner ]

  * UBUNTU: Added -hwe- and -current- meta packages
  * Added Calxeda highbank flavour
    - LP: #1000831
  * Bump ABI
 -- Luis Henriques <email address hidden> Wed, 23 May 2012 18:51:56 +0100

Changed in linux-meta (Ubuntu Precise):
status: Fix Committed → Fix Released
Itaru Kitayama (itaru) wrote :

Dann, thanks for the pointers. I'd prefer to test the highbank kernel locally on my PC. That precise ARM
disk image seems to be for the omap flavor. Any plans to add the highbank flavor there as well?

As you suggested I'll send my questions to the ubuntu-server list.

dann frazier (dannf) wrote :

I don't know if there are plans for a highbank cloud image, but you can swap out the inspired kernel . See lp:~dannf/+junk/make-highbank-ami for example code
--
Sent from my Android phone with K-9 Mail. Please excuse my brevity.

Itaru Kitayama <email address hidden> wrote:

Dann, thanks for the pointers. I'd prefer to test the highbank kernel locally on my PC. That precise ARM
disk image seems to be for the omap flavor. Any plans to add the highbank flavor there as well?

As you suggested I'll send my questions to the ubuntu-server list.

--
You received this bug notification because you are a member of The Eilt
team, which is subscribed to The Eilt project.
https://bugs.launchpad.net/bugs/1000831

Title:
Precise: Add Calxeda Highbank arm flavour

To manage notifications about this bug go to:
https://bugs.launchpad.net/eilt/+bug/1000831/+subscriptions

Itaru Kitayama (itaru) wrote :

Your bzr package is really the stuff I have been looking for (the u-boot env vars and so on). Thanks again for your help!

Ike Panhc (ikepanhc) on 2012-06-15
Changed in eilt:
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers